Bug 152263 - free(): invalid next size (fast): 0x095c5340 at rebuilding gcc4
free(): invalid next size (fast): 0x095c5340 at rebuilding gcc4
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-26 18:35 EST by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-27 13:42:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 15080 None None None Never

  None (edit)
Description Robert Scheck 2005-03-26 18:35:32 EST
Description of problem:
From rebuilding gcc4, no matter, whether relevant or not. And I'm not able to
provide further information. If not relevant, close silent:

[...]
XPASS: gfortran.dg/ret_pointer_1.f90  -O3 -g  execution test
XPASS: gfortran.dg/ret_pointer_1.f90  -Os  execution test
FAIL: gcc.c-torture/execute/20050316-2.c compilation,  -O0
FAIL: gcc.c-torture/execute/20050316-2.c compilation,  -O1
FAIL: gcc.c-torture/execute/20050316-2.c compilation,  -O2
FAIL: gcc.c-torture/execute/20050316-2.c compilation,  -O3 -fomit-frame-pointer
FAIL: gcc.c-torture/execute/20050316-2.c compilation,  -O3 -g
FAIL: gcc.c-torture/execute/20050316-2.c compilation,  -Os
Running /usr/src/redhat/BUILD/gcc-4.0.0-20050324/gcc/testsuite/gfortran.fortran-torture/compile/compile.exp ...
Running /usr/src/redhat/BUILD/gcc-4.0.0-20050324/gcc/testsuite/gfortran.fortran-torture/execute/execute.exp ...
*** glibc detected *** /usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/gcc/testsuite/forall_3.x: free(): invalid next size (fast): 0x095c5340 ***
======= Backtrace: =========
/lib/tls/libc.so.6[0xdd06e0]
/lib/tls/libc.so.6(__libc_free+0x77)[0xdd0cb2]
/usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/i386-redhat-linux/./libgfortran/.libs/libgfortran.so.0(_gfortran_internal_free+0x42)[0xaa92f7]
/usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/gcc/testsuite/forall_3.x[0x8048acd]
/usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/gcc/testsuite/forall_3.x[0x8048c97]
/lib/tls/libc.so.6(__libc_start_main+0xc6)[0xd82db6]
/usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/gcc/testsuite/forall_3.x[0x80485b9]
======= Memory map: ========
00120000-00140000 r-xp 00000000 68:02 3407922    /lib/tls/libm-2.3.4.so
00140000-00141000 r-xp 0001f000 68:02 3407922    /lib/tls/libm-2.3.4.so
00141000-00142000 rwxp 00020000 68:02 3407922    /lib/tls/libm-2.3.4.so
00550000-00559000 r-xp 00000000 68:02 560829     /usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/gcc/libgcc_s.so.1
00559000-0055a000 rwxp 00009000 68:02 560829     /usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/gcc/libgcc_s.so.1
00aa2000-00aed000 r-xp 00000000 68:02 869016     /usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/i386-redhat-linux/libgfortran/.libs/libgfortran.so.0.0.0
00aed000-00aef000 rwxp 0004a000 68:02 869016     /usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/i386-redhat-linux/libgfortran/.libs/libgfortran.so.0.0.0
00aef000-00af3000 rwxp 00aef000 00:00 0
00d6e000-00e8b000 r-xp 00000000 68:02 3407920    /lib/tls/libc-2.3.4.so
00e8b000-00e8d000 r-xp 0011d000 68:02 3407920    /lib/tls/libc-2.3.4.so
00e8d000-00e8f000 rwxp 0011f000 68:02 3407920    /lib/tls/libc-2.3.4.so
00e8f000-00e91000 rwxp 00e8f000 00:00 0
00fba000-00fd3000 r-xp 00000000 68:02 2965507    /lib/ld-2.3.4.so
00fd3000-00fd4000 r-xp 00019000 68:02 2965507    /lib/ld-2.3.4.so
00fd4000-00fd5000 rwxp 0001a000 68:02 2965507    /lib/ld-2.3.4.so
08048000-08049000 r-xp 00000000 68:02 758961     /usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/gcc/testsuite/forall_3.x
08049000-0804a000 rw-p 00000000 68:02 758961     /usr/src/redhat/BUILD/gcc-4.0.0-20050324/obj-i386-redhat-linux/gcc/testsuite/forall_3.x
095bf000-095e0000 rw-p 095bf000 00:00 0
b7e00000-b7e21000 rw-p b7e00000 00:00 0
b7e21000-b7f00000 ---p b7e21000 00:00 0
b7fba000-b7fbb000 rw-p b7fba000 00:00 0
b7fc3000-b7fc4000 rw-p b7fc3000 00:00 0
bfef3000-c0000000 rw-p bfef3000 00:00 0
ffffe000-fffff000 ---p 00000000 00:00 0
FAIL: gfortran.fortran-torture/execute/forall_3.f90 execution,  -O1
[...]

Version-Release number of selected component (if applicable):
gcc-4.0.0-0.37
glibc-2.3.4-16
Comment 1 Jakub Jelinek 2005-03-27 13:42:07 EST
This is a known gfortran bug.  See PR fortran/15080.

Note You need to log in before you can comment on or make changes to this bug.